{% extends 'base.html.twig' %}

{% block body %}
    <div class="col-lg-12">
        <h3>Liste Spécialités :</h3>
        <div class="col-lg-12">
            {% include '@SuperAdmin/specialite/new.html.twig' %}
        </div>
    </div>
    <div class="col-lg-12 table-responsive">
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Actions</th>
                <th>Nom</th>
                <th>Email</th>
                <th>Nombre de classes</th>
                <th>Nombre de Groupes</th>
            </tr>
            </thead>
            <tbody>
            {% if specialites is empty %}
                <tr>
                    <td colspan="6">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for sp in specialites %}
                    <tr align="center">
                        <td width="15%">
                            <a class="btn btn-danger" data-toggle="modal" data-target="#deleteAdmin{{ sp.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                            <a class="btn btn-info"  style="color: white" href="{{ path('su_specialite_show', { 'id': sp.id }) }}" ><i class="fa fa-eye"></i></a>
                        </td>
                        <td  align="center">{{ sp.nom }}</td>
                        <td  align="center">{{ sp.email }}</td>
                        <td width="20%" align="center">{{ sp.classes|length }}</td>
                        <td width="20%" align="center">{{ sp.groupes|length }}</td>
                    </tr>
                    <div class="modal fade" id="deleteAdmin{{ sp.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteAdmin" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    <a  class="btn btn-danger" href="{{ path('su_specialite_delete', { 'id': sp.id }) }}" >Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>

                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(specialites) }}
        </nav>
    </div>
{% endblock %}
